petsc-3.12.4 2020-02-04
Report Typos and Errors

# TaoInitializePackage

This function sets up PETSc to use the Tao package. When using static or shared libraries, this function is called from the first entry to TaoCreate(); when using shared or static libraries, it is called from PetscDLLibraryRegister_tao()

### Synopsis

    PetscErrorCode TaoInitializePackage(void)

### See Also

TaoCreate()

### Level

developer

### Location

src/tao/interface/dlregistao.c
Index of all Tao routines
Table of Contents for all manual pages
Index of all manual pages